#include "E--_RT.c"
int main(int argc, char *argv[]) {
	E_RT_init(argc, argv);
JMP(begin);
eventLabel_a: INI(R012);
R006=ADD(R006,1);
JMP(EventMStart);
eventLabel_a: INI(R012);
MOVI(1, R006);
JMP(EventMStart);
eventLabel_a: INI(R012);
MOVI(1, R006);
JMP(EventMStart);
eventLabel_a: INI(R012);
MOVI(R013, R006);
JMP(EventMStart);
eventLabel_a: INI(R013);
MOVI(R014, R006);
JMP(EventMStart);
eventLabel_a: INI(R014);
MOVI(R014, R006);
JMP(EventMStart);
eventLabel_a: INI(R014);
R006=ADD(R014,R011);
JMP(EventMStart);
eventLabel_a: INI(R014);
MOVI(R010, R006);
JMP(EventMStart);
begin: MOVI(10000, R000);
MOVI(0, R006);
MOVI(0, R007);
MOVI(0, R008);
MOVI(0, R009);
MOVI(0, R010);
MOVI(0, R011);
EventMStart: IN(R014);
JMPC(GT(64, R014), EventMOut);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMPC(EQ(97, R014), eventLabel_a);
JMP(EventMStart);
EventMOut: PRTS("\nDone\n");

	E_RT_exit(); return 0;
}
